Bug 215838 - devel/allegro: Add SNDIO option, cleanup port
Summary: devel/allegro: Add SNDIO option, cleanup port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL: https://reviews.freebsd.org/D11039
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-01-06 20:52 UTC by Tobias Kortkamp
Modified: 2017-06-09 13:33 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (koalative)


Attachments
devel___allegro.diff (29.20 KB, patch)
2017-01-06 20:52 UTC, Tobias Kortkamp
no flags Details | Diff
games___opensonic.diff (368 bytes, patch)
2017-01-06 20:58 UTC, Tobias Kortkamp
tobik: maintainer-approval? (devel)
Details | Diff
devel___allegro.diff (29.22 KB, patch)
2017-01-06 22:18 UTC, Tobias Kortkamp
tobik: maintainer-approval? (koalative)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2017-01-06 20:52:45 UTC
Created attachment 178584 [details]
devel___allegro.diff

This adds an SNDIO option for supporting audio/sndio to devel/allegro
sourced from the OpenBSD ports tree as support for it is not upstream.

The current maintainer has a history of maintainer timeouts (across
all their ports), so I treated the port as if it was unmaintained and
tried to clean it up a little.

Changes:
- Add SNDIO option
- http://sourceforge.net/projects/nemysisfreebsdp is gone. When the
  DEMOS and EXAMPLES options are turned on the port will try to fetch
  files (icons) from it
- Remove DEMOS since it wasn't working for a while
- Remove demo starter scripts and pkg-message
- EXAMPLES now only installs the example source files instead of
  binaries too
- Add LICENSE
- Switch to options helpers
- Move audio output options to their own option group
- Make OSS support an explicit option, so that it can be turned off
- Remove OGG option; audio/libogg is already a dependency via
  audio/libvorbis
- Change WWW to a URL that works
- Allegro never links with libpng; make it a build dependency only

Most ports that use Allegro can still be build.  Synth test logs:
https://pkg.tobik.me/logs/allegro/

The following ports fail to build:
- x11-fonts/alfont: marked as broken, needed by games/opensurge
- games/opensonic: missing graphics/libpng lib dependency since
  devel/allegro doesn't specify it anymore
Comment 1 Tobias Kortkamp freebsd_committer 2017-01-06 20:58:50 UTC
Created attachment 178585 [details]
games___opensonic.diff
Comment 2 Tobias Kortkamp freebsd_committer 2017-01-06 22:18:48 UTC
Created attachment 178589 [details]
devel___allegro.diff

- Make OpenGL a build dependency only
Comment 3 devel 2017-02-02 10:07:53 UTC
Ok, let's commit it.
Comment 4 commit-hook freebsd_committer 2017-06-09 13:31:16 UTC
A commit references this bug:

Author: tobik
Date: Fri Jun  9 13:30:21 UTC 2017
New revision: 442981
URL: https://svnweb.freebsd.org/changeset/ports/442981

Log:
  - Add sndio support [1]
  - Remove ALSA from default options
  - Switch to options helpers
  - Move audio output options to their own option group
  - Make OSS support an explicit option, so that it can be turned off
  - Remove OGG option and make it mandatory: audio/libogg is already a
    dependency via audio/libvorbis
  - Make the port simpler by not building the examples and not
    installing the example games (if necessary installing them can be done
    later in a separate port)
  - Add LICENSE
  - Fix WWW
  - Allegro never directly links with libpng or libGLU; make them a build
    dependency only
  - Reset maintainer

  PR:		215838
  Obtained from:	OpenBSD [1]
  Approved by:	mat (mentor), maintainer timeout (5 months)
  Differential Revision:	https://reviews.freebsd.org/D11039

Changes:
  head/devel/allegro/Makefile
  head/devel/allegro/distinfo
  head/devel/allegro/files/patch-CMakeLists.txt
  head/devel/allegro/files/patch-allegro.cfg
  head/devel/allegro/files/patch-cmake_FileList.cmake
  head/devel/allegro/files/patch-include_allegro_platform_alunix.h
  head/devel/allegro/files/patch-include_allegro_platform_alunixac.h.cmake
  head/devel/allegro/files/patch-modules.lst
  head/devel/allegro/files/patch-src-x-xkeyboard.c
  head/devel/allegro/files/patch-src_unix_usnddrv.c
  head/devel/allegro/files/patch-src_x_xkeyboard.c
  head/devel/allegro/files/pkg-message.in
  head/devel/allegro/files/shooter.in
  head/devel/allegro/files/skater.in
  head/devel/allegro/files/skater_agl.in
  head/devel/allegro/files/sndio.c
  head/devel/allegro/pkg-descr
  head/devel/allegro/pkg-plist
Comment 5 commit-hook freebsd_committer 2017-06-09 13:32:20 UTC
A commit references this bug:

Author: tobik
Date: Fri Jun  9 13:31:21 UTC 2017
New revision: 442982
URL: https://svnweb.freebsd.org/changeset/ports/442982

Log:
  Add explicit libpng dependency to fix the build of games/opensonic
  after the recent devel/allegro update.

  PR:		215838
  Approved by:	mat (mentor), devel@stasyan.com (maintainer)
  Differential Revision:	https://reviews.freebsd.org/D11039

Changes:
  head/games/opensonic/Makefile